# APP 基础工程 (uni-app-vue3)

> 项目 Fork 自 [uni-app-vite-ts](https://gitee.com/dcloud/uni-preset-vue/blob/vite-ts)  
> **注意事项**: 运行/调试/编译/发布环境使用 `HBuilderX`, 开发工具统一使用 `Visual Studio Code`

## 开发环境

<!-- prettier-ignore -->
- Visual Studio Code [latest](https://code.visualstudio.com)
- HBuilderX [alpha](https://www.dcloud.io/hbuilderx.html)
- [常用插件清单](./doc/plugins.md)

## 开始

<!-- prettier-ignore -->
- [开发规范说明](./doc/workflow.md)
- [技术栈说明](./doc/technique.md)

---

## TODO

<!-- prettier-ignore -->
- [x] 完成项目构建，开发文档编写
- [x] [conventional-changelog](https://www.cnblogs.com/mengfangui/p/12634845.html)
- [ ] 完善网络请求相关配置
- [ ] 完善页面主体布局
- [ ] 设计模块化权限控制
- [ ] 接入 [消息推送](https://uniapp.dcloud.net.cn/unipush.html)
- [ ] 接入 [APP 升级中心](https://uniapp.dcloud.net.cn/uniCloud/upgrade-center.html)
