const config: Application = {
    name: __APP__.name,
    version: __APP__.version,
    description: __APP__.description,
    author: __APP__.author,
    lastBuildTime: __APP__.lastBuildTime,
}

export const $app = config

export function setupAppConfig() {
    // 打印 App 信息
    const block = Array(50).fill('=').join('')
    const infos: string[] = []
    infos.push(block)
    infos.push(`[App] name: ${config.name}`)
    infos.push(`[App] version: ${config.version}`)
    infos.push(`[App] description: ${config.description}`)
    infos.push(`[App] author: ${config.author.name} ${config.author.url}`)
    infos.push(`[App] lastBuildTime: ${config.lastBuildTime}`)
    infos.push(block)
    console.log('%c' + infos.join('\n'), 'color: #fadfa3;')
}
