declare type Recordable<T = any> = Record<string, T>

interface ImportMetaEnv extends ViteEnv {
    __: unknown
}

declare interface ViteEnv {
    // APP 名称
    VITE_GLOB_APP_NAME: string
    // APP 描述
    VITE_GLOB_APP_DESCRIPTION?: string
    // API 接口地址
    VITE_GLOB_API_URL: string
    // API 接口地址前缀
    VITE_GLOB_API_URL_PREFIX?: string
    // 公共文件上传 API URL
    VITE_GLOB_UPLOAD_URL?: string
}
