import type { Plugin } from 'vite'

// https://github.com/antfu/unplugin-auto-import
import AutoImport from 'unplugin-auto-import/vite'

/**
 * unplugin-auto-import
 * @returns Plugin
 */
export function configAutoImportPlugin(): Plugin {
    return AutoImport({
        dts: 'types/auto-imports.d.ts',
        imports: [
            'vue',
            'uni-app',
            // '@vueuse/core',
            { '/@/config/app': ['$app'] },
            { '/@/api/types': ['API'] },
        ],
    })
}
